
Figure - Bug #118519
【IOVDEV-32631】【IOVDEV-32632】【内部】【VC1】【106】【台架】【EE环境】【副屏】【设置-蓝牙】
打开抖音加载视频，关闭抖音，仍播放抖音加载视频声音
2023-06-05 14:39 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-05

Priority: High Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【中控版本号】：03.02.0086.C102��【副屏版本号】：01.00.0106.c104

Resolution: DUPLICATE Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

环境信息】EE环境

【问题出现时间】：20230605 14:06

【前提条件】：副屏上电

连接中控时间与副屏同步

网络连接情况正常

副屏正常连接功放

后台进程无抖音应用进程

【操作步骤】

1.副屏打开抖音应用，抖音加载视频，关闭抖音

【实际结果】

1.副屏打开抖音应用，抖音加载视频中有其他声音播放提示，关闭抖音加载视频的声音持续播放

【期望结果】

1.副屏打开抖音应用，抖音加载视频中有其他声音播放提示，关闭抖音，加载视频声音停止播放

【备注】：

硬件版本号】：

【抖音版本】：25.6.0

【当前开机次数】：副屏当前开机第232次

【中控版本号】：03.02.0086.C102

【副屏版本号】：01.00.0106.c104

IDCM  VIN：HRYTTESTVINMGM402
SN：HRYTTESTVINID0402

建议性问题，建议修改

概率：次问题出现一次

History

#1 - 2023-06-05 15:21 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118519

#2 - 2023-06-05 15:25 - CDTS_Test 吴诗雨

- Subject changed from 【IOVDEV-32631】【内部】【VC1】【106】【台架】【EE环境】【副屏】【设置-蓝牙】打开抖音加载视频，关闭抖音，仍播放抖

音加载视频声音 to 【IOVDEV-32631】【IOVDEV-32632】【内部】【VC1】【106】【台架】【EE环境】【副屏】【设置-蓝牙】打开抖音加载视频，关

闭抖音，仍播放抖音加载视频声音

#3 - 2023-06-05 17:35 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD FW-鲁凯峰

HI 凯峰

该问题看起来像是后台没有杀完导致的，麻烦AF分析一下，是不是和小窗有关系！

异常：

000232_manual_00001_230605_140557.log:570:06-05 14:06:13.260  1531  1711 I ActivityManager: Stopping service

com.ss.android.ugc.aweme/com.bytedance.common.wschannel.client.WsClientService: remove task

正常：

06-05 16:37:04.727  1018  1643 I ActivityManager: Stopping service com.ss.android.ugc.aweme/com.bytedance.common.wschannel.client.WsClientService:

remove task

06-05 16:37:04.728  1018  1643 I ActivityManager: Stopping service com.ss.android.ugc.aweme/com.bytedance.common.wschannel.server.WsChannelService:

remove task

#4 - 2023-06-06 17:57 - CD FW-鲁凯峰

- Assignee changed from CD FW-鲁凯峰 to Multimedia组-RD3_TSCD 梁卿山

Hi 卿山

这个跟小窗没关系哈

点击小窗上面的X按钮干掉小窗后,系统会找到和当前应用相同包名的services去stop,如果当前的services不存在的话 是不会去删除的

上面的情况看起来的是其他的services并没有启动,这点从日志中没有看到启动的日志.所以在删除小窗的时候没有去stop掉.

另外从Bugreport里面看到抖音已经把音频焦点abandon掉了, pid 10093就是抖音的pid
//抖音的pid uid

./000232_manual_00001_230605_140535.log:882:06-05 14:05:40.829  1531  2994 W ActivityManager: Background start not allowed: service Intent {

cmp=com.ss.android.ugc.aweme/com.bytedance.common.wschannel.client.WsClientService } to

com.ss.android.ugc.aweme/com.bytedance.common.wschannel.client.WsClientService from pid=18911 uid=10093 pkg=com.ss.android.ugc.aweme startFg?=false

//先申请了音频焦点

./000232_manual_00001_230605_140535.log:1513:06-05 14:05:52.108  1531  7213 I MediaFocusControl: requestAudioFocus() from uid/pid 10093/18911

AA=USAGE_MEDIA/CONTENT_TYPE_MUSIC clientId=android.media.AudioManager@6deb321X.d0R@f60b980 callingPack=com.ss.android.ugc.aweme req=2

flags=0x0 sdk=29

//删除后,取消了音频焦点

06-05 14:06:13:325 abandonAudioFocus() from uid/pid 10093/18911 clientId=android.media.AudioManager@6deb321X.d0R@f60b980

所以请继续分析,看看是什么原因导致播放继续

谢谢

#5 - 2023-06-06 20:22 - Multimedia组-RD3_TSCD 梁卿山

HI ALL

从日志分析：

抖音从14:05申请焦点，到14：06失去焦点，此时应该停止播放的；

从视频看06分还在播放，但日志只有到06分就完了，无法详细分析是否停止流的输出。

000232_manual_00001_230605_140535.log:1513:06-05 14:05:52.108  1531  7213 I MediaFocusControl: requestAudioFocus() from uid/pid 10093/18911

AA=USAGE_MEDIA/CONTENT_TYPE_MUSIC clientId=android.media.AudioManager@6deb321X.d0R@f60b980 callingPack=com.ss.android.ugc.aweme

req=2 flags=0x0 sdk=29

000232_manual_00001_230605_140557.log:570:06-05 14:06:13.260  1531  1711 I ActivityManager: Stopping service

com.ss.android.ugc.aweme/com.bytedance.common.wschannel.client.WsClientService: remove task

000232_manual_00001_230605_140557.log:590:06-05 14:06:13.325  1531 10857 I MediaFocusControl: abandonAudioFocus() from uid/pid 10093/18911

clientId=android.media.AudioManager@6deb321X.d0R@f60b980

下一步：

1.获取云端日志，查看在06分后是否还有其他关闭设备的动作。

2.加强化日志，尝试复现。

#6 - 2023-06-07 10:05 - CDTS_Test 吴诗雨

- File 1686103442231.zip added

#7 - 2023-06-07 11:15 - Multimedia组-RD3_TSCD 梁卿山

HI ALL

根据云端日志分析：

在14：06失去焦点时，抖音需要stop播放的，

但是在后面的日志中没有看到相关的信息，也没有看到关闭设备的操作。
下一步

增加强化日志复现。

#8 - 2023-06-07 16:00 - Multimedia组-RD3_TSCD 梁卿山

HI ALL

当前正在编译VB中，

提交如下：

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/av/+/205378

VB：

http://192.168.87.26:8080/view/Projects/view/Project-IOT/job/VerifyBuild_for_IOT_6490/905/console

#9 - 2023-06-08 10:05 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CDTS_Test 吴诗雨

HI 诗雨

该问题我暂时复线不到，

请使用增加强化日志的版本进行复现，并标注发生的时间和录屏，谢谢！

VB版本已经私发。

#10 - 2023-06-09 16:07 - SZTS_TEST 邹涛

在 FlatBuild_HH_MCE_FSE.M.D.userdebug.01.00.C104.202306070738版本复测50次未复现

#11 - 2023-06-12 10:50 - CD TPM-王祥林

- Status changed from NEED_INFO to RESOLVED

- Resolution changed from -- to DUPLICATE

在JIRA上跟踪， 内部关闭此票。

#12 - 2023-06-12 14:22 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

在 FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104.202306100050版本验证通过

#13 - 2023-06-12 15:15 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

205378 general/platform/frameworks/av Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com
MM: Audio: Add debug logAdd debug logTC-RID: 0301-0900116IssueID: TS-R-DF-118519Change-Id: Ifee9fd00ef48371c033b0bb4e957b862917618fe

#14 - 2023-06-25 19:13 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

video(32).mp4 2 MB 2023-06-05 CDTS_Test 吴诗雨

1686103442231.zip 4.97 MB 2023-06-07 CDTS_Test 吴诗雨
